package ru.ulstu.is.sbapp.socialNetwork.dto;

import ru.ulstu.is.sbapp.socialNetwork.models.Community;
import ru.ulstu.is.sbapp.socialNetwork.models.UserModel;

import java.util.List;

public class CommunityDTO {
    private Long id;
    private String name;

    public CommunityDTO(){
    }
    public CommunityDTO(Community community){
        this.id = community.getId();
        this.name = community.getName();
    }

    private List<UserModel> users;

    public List<UserModel> getUsers() {
        return users;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
    @Override
    public String toString() {
        return "User{" +
                "id=" + id +
                ", name='" + name + '\'' +
                '}';
    }
}
